<?php

return [
    'role_structure' => [
        'superadministrator' => [
            'users' => 'l,c,r,u,d',
            'roles' => 'l,c,r,u,d',
            'enums' => 'l,c,r,u,d',
            'profile' => 'r,u',
            'categories'=>'l,c,r,u,d',
            'tags' =>'l,c,r,u,d',
            'languages'=>'l,c,r,u,d',
            'authors'=>'l,c,r,u,d',
            'modules'=>'l,c,r,u,d',
            'menuGroups'=>'l,c,r,u,d',
            'menuLinks'=>'l,c,r,u,d',
            'pages'=>'l,c,r,u,d',
            'posts'=>'l,c,r,u,d',
            'persons'=>'l,c,r,u,d',
            'sessions'=>'l,c,r,u,d',
            'events'=>'l,c,r,u,d',
            'galleries'=>'l,c,r,u,d',
            'galleryImages'=>'l,c,r,u,d',
            'sliders'=>'l,c,r,u,d',
            'sliderImages'=>'l,c,r,u,d',
            'plugins' => 'l',
            'acl' => 'l,c,r,u,d',
            'themes' => 'l,c,r,u,d',
            'layoutModels' => 'l,c,r,u,d',
            'customers' => 'l,r,u,d',
            'merchants' => 'l,c,r,u,d',
            'offers' => 'l,c,r,u,d',
            'plans' => 'l,c,r,u,d',
            'subscriptions' => 'l,r,u',
            'merchantRequests' => 'l,r',
            'feedbacks' => 'l',
            'newsletterSubscribers' => 'l',
            "minors"=> 'l,c,r,u,d',
        ],
        'administrator' => [
            'users' => 'l,c,r,u,d',
            'roles' => 'l,c,r,u,d',
            'enums' => 'l,c,r,u,d',
            'profile' => 'r,u',
            'categories'=>'l,c,r,u,d',
            'tags'=>'l,c,r,u,d',
            'languages'=>'l,c,r,u,d',
            'authors'=>'l,c,r,u,d',
            'modules'=>'l,c,r,u,d',
            'menuGroups'=>'l,c,r,u,d',
            'menuLinks'=>'l,c,r,u,d',
            'pages'=>'l,c,r,u,d',
            'posts'=>'l,c,r,u,d',
            'events'=>'l,c,r,u,d',
            'persons'=>'l,c,r,u,d',
            'sessions'=>'l,c,r,u,d',
            'galleries'=>'l,c,r,u,d',
            'galleryImages'=>'l,c,r,u,d',
            'sliders'=>'l,c,r,u,d',
            'sliderImages'=>'l,c,r,u,d',
            'plugins' => 'l',
            'customers' => 'l,r,u,d',
            'merchants' => 'l,c,r,u,d',
            'offers' => 'l,c,r,u,d',
            'plans' => 'l,c,r,u,d',
            'subscriptions' => 'l,r,u',
            'merchantRequests' => 'l,r',
            'feedbacks' => 'l',
            'newsletterSubscribers' => 'l',
        ],
        'user' => [
            'profile' => 'r,u'
        ],
    ],
    'permission_structure' => [
        'cru_user' => [
            'profile' => 'c,r,u'
        ],
    ],
    'permissions_map' => [
        'l' => 'list',
        'c' => 'create',
        'r' => 'read',
        'u' => 'update',
        'd' => 'delete'
    ]
];
